Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> Debian Local Security Checks >> [DSA331] DSA-331-1 imagemagick


Vulnerability Assessment Details

[DSA331] DSA-331-1 imagemagick

Vulnerability Assessment Summary
DSA-331-1 imagemagick

Detailed Explanation for this Vulnerability Assessment

imagemagick's libmagick library, under certain circumstances, creates
temporary files without taking appropriate security precautions. This
vulnerability could be exploited by a local user to create or
overwrite files with the rights of another user who is invoking a
program using this library.
For the stable distribution (woody) this problem has been fixed in
version 4:5.4.4.5-1woody1.
For the unstable distribution (sid) this problem has been fixed in
version 4:5.5.7-1.
We recommend that you update your imagemagick package.


Solution : http://www.debian.org/security/2003/dsa-331
Network Security Threat Level: High

Networks Security ID: 8057

Vulnerability Assessment Copyright: This script is (C) 2006 Michel Arboi

Cables, Connectors

New Juniper DPCE-X-4XGE-XFP 4 Port XFP 10GE Module MX960 MX480 MX240 Router
$395.0
New Juniper DPCE-X-4XGE-XFP  4 Port XFP 10GE Module MX960 MX480 MX240 Router  pictureJuniper Networks IDP 600F Fiber Optic Security Appliance
$89.99
Juniper Networks IDP 600F Fiber Optic Security Appliance pictureJuniper Networks Ethernet Switch Chassis W/Line Cards NEW EX8208
$2599.99
Juniper Networks Ethernet Switch Chassis W/Line Cards NEW EX8208 pictureJUNIPER NETWORK MULTI-RATE SONET SFP (2)
$199.0
JUNIPER NETWORK MULTI-RATE SONET SFP (2)  picture


Discussions

No Discussions have been posted on this vulnerability.